Status: Closed

Priority: Normal

Category:

Customer: ELEKTROBIT Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10245

Department: SUPPORT Affected Products: ADTF 3.6.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::Profiling

Resolution: Workaround Available FAQ Links:

Description

Supportanfrage

Im ADTF3.6.2 bin Ordner befindet sich die profiling_gui application warend die gt.config anscheinend fir ADTF Anwendungen
ausreicht meldet sich die profiling_gui mit der Bemerkung: "missing dll".

Auch in dem Original das wir von Digitalwerk herunter geladen haben ohne es zu branden, ist dieses Problem vorhanden.
Kénnten wir hier eine Lésung oder Erlauterung bekommen?

Lésung

Ich vermute, eines der Verzeichnisse in deinem Path enthalt Qt-DLLs, welche falschlicherweise statt der ADTF-eigenen geladen
werden.

Das passiert, weil unser Batch-Skript zum Starten der profiler_gui das ADTF-eigene Qt-Verzeichnis hinten an die Path-Variable dran
rcing;be ein Produkt-Ticket ACORE-10245 erstellt, um das zu beheben, indem wir das Qt-Verzeichnis vorne ran setzten.

In der Zwischenzeit kannst du Versuchen, den Fix bei dir lokal anzuwenden.

Einfach den Inhalt von <ADTF_DIR>/bin/profiler_gui.bat mit folgendem ersetzen:

@echo off

set PATH=%~dpO\..\3rdparty\gt5\bin; $PATHS
start profiler_gui.exe

History

#1 - 2019-10-17 14:05 - hidden

- Project changed from Public Support to 7
- Status changed from New to In Progress
- Topic set to ADTF::Profiling

- Affected Products ADTF 3.6.2 added

#2 - 2019-10-17 14:19 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo,

das ist bekannt, die profiler_gui.exe muss Uber die profiler_gui.bat Datei gestartet werden, welche bei Ausfihrung die Abh&ngigkeit setzt.
Folgende Information ist im SDK zu finden:

The Profiler GUI needs Qt to start so we recommend to use the .bat (Windows) / .sh (Linux) which will set the dependency.

Siehe
https://support.digitalwerk.net/adtf/v3/adtf _html/page_profiler_gui.html

Gruf3
Michael

#4 - 2019-10-17 15:45 - hidden
- File image001.png added

Hallo liebes Supportteam,

ich habe naturlich auch die *.bat Datei gestartet, die ja einfach nur den relativen QT Pfad setzt.
Dabei bekomme ich dann folgende Fehlermeldung: (siehe Anhang)

Best regards,
Jan Polensky [Languages: German, English]

EB Assist ADTF Support-Team

#5 - 2019-10-17 15:57 - hidden
- Status changed from Customer Feedback Required to In Progress

- Platform Windows 10 64bit added

@Martin Heimlich
Bitte hierauf einen Blick werfen, danke

#6 - 2019-10-18 08:43 - hidden

Hi Jan,

wir bekommen das bei uns nicht nachgestellt, heif3t bei uns klappt's mit der ADTF 3.6.2 einwandfrei, wenn man die Batch-Datei startet.

Kannst Du vielleicht mal ausprobieren ob es an dem Linux Zeilenumbruch in der Batchdatei liegt, also nach dem Setzen der PATH Variable. Mach
mal ein Windows Line Ending draus, vielleicht hat dein cmd.exe damit ein Problem. Ist jetzt aber nur ein Strohhalm, da er die exe bei dir ja zu starten
versucht.

GriBe,

Martin

#7 - 2019-10-18 08:50 - hidden

@Martin Heimlich

Kdnnte es sich um Ubergreifende Probleme handeln?
Mdglicherweise steht das dann in Zusammenhang mit Ticket #8605

#8 - 2019-10-18 13:25 - hidden

Info aus dem anderen Ticket #8605

ADTF-Technik Elektrobit wrote:
Hallo Michael,

Ja die Tickets hdngen zusammen, da sie uns beim Branding eurer ADTF3.6.2 Version aufgefallen sind, beleuchten aber so wie ich glaube
unterschiedliche Probleme.

Ich glaube, es kénnte sein, dass bei euch auf den Testrechnern eventuell QT in den Systempfaden vorhanden ist und das ist hier eben nicht der

Fall. Aber da ich eure Implementierung nicht kenne ist das eben nur eine Vermutung.
Beim nachsten Release wirden wir das gern funktional liefern kénnen. Und es hat mindestens bis zur 3.5 zuriick nicht fiir uns funktioniert.
#9 - 2019-10-29 14:19 - hidden

Kannst Du da nochmal drauf sehen, ich kann das nicht nachstellen.

#10 - 2019-11-04 09:42 - hidden

Ich schaus mir grad mal an.

@Jan Polensky:
Kannst du uns den Inhalt der PATH-Umgebungsvariable vom profiler_gui.exe zum Zeitpunkt der Fehlermeldung geben?

Process Hacker
oder

Process Explorer
kénnen das z.B..

Danke!

#11 - 2019-11-05 09:49 - hidden

- Status changed from In Progress to Customer Feedback Required

#12 - 2019-11-14 16:36 - hidden

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10245

#13 - 2019-11-15 10:35 - hidden

- Support Level changed from 2nd Level to 3rd Level

#14 - 2019-11-19 11:00 - hidden

- File image001.png added

- File gt.conf added

Hallo Wolfgang,

ich habe das Ticket hier gerade von Jan Ubernommen. Meine Fehlermeldung lautet zwar etwas anders, aber basiert auch auf der fehlenden QT dll.

[T I TR ey P T R g R L R

profiler_gui.exe - System Error ﬂ

f 7 ) The program can't start because Qt5Widgets.dll is missing from your
'‘S¥ computer. Try reinstalling the program to fix this problem.

0K

Der Inhalt meiner PATH variable:

Path=C:\Program Files\Conan\conan;C:\Program Files (x86)\Common
Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:
\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\TortoiseSVN\bin;C:\Program
Files\CMake3.7\bin;C:\Users\Anja\.dnx\bin;C:\

Program Files\Microsoft DNX\Dnvm\;C:\Program Files\Microsoft SQL
Server\130\Tools\Binn\;C:\MATLAB\R2012b\bin;D:\Tools\ADTF\osg_3.2.0_win64_vc100;D:\Tools\ADTF\V

isual Leak Detector\bin\Win32;D:\Tools\ADTF\Visual Leak Detector\bin\Win64;C:\Program Files\CMake3.10\bin;C:\Program Files (x86)\Common
Files\ETAS\3rdParty1.0;D

N\ADTF _installations\oltt\ICU\icu\bin;C:\strawberry\c\bin;C:\strawberry\perl\site\bin;C:\strawberry\perl\bin;D:\ADTF _installations\gradle-5.2.1\bin;D
NADTF_inst

allations\oltt\graphviz-2.38\release\bin;D:\ADTF _installations\oltt\cmake-3.12.3-win64-x64\bin\;C:\Program
Files\TortoiseGit\bin;%JAVA_HOME%\bin;C:\Users\Anja\AppData\Local\Programs\Python\Python37\Scripts\;C:\Users\Anja\AppData\Local\Progr
ams\Python\Python37\;C:\Users\Anja\AppData\Local\Programs\Microsoft

VS Code\bin;D:\ADTF _installations\StreamingLib2.9.0\lib

Ich habe noch eine User variable auf eine QT installation bei mir:
https://processhacker.sourceforge.io
https://docs.microsoft.com/en-us/sysinternals/downloads/process-explorer

QTDIR=D:\Tools_Installer\Qt\gt_vcl40_x64_static-5.9.1\gt\bin
Ich hoffe das hilft dir weiter.

Best regards,
Anja Winkler

#15 - 2019-11-19 11:27 - hidden
Hallo Anja,

Danke fur Deine Rickmeldung.
Ich vermute, eines der Verzeichnisse in deinem Path enthalt Qt-DLLs, welche félschlicherweise statt der ADTF-eigenen geladen werden.

Das passiert, weil unser Batch-Skript zum Starten der profiler_gui das ADTF-eigene Qt-Verzeichnis hinten an die Path-Variable dran hangt.
Ich habe ein Produkt-Ticket erstellt, um das zu beheben, indem wir das Qt-Verzeichnis vorne ran setzten.

In der Zwischenzeit kannst du Versuchen, den Fix bei dir lokal anzuwenden.
Einfach den Inhalt von <ADTF_DIR>/bin/profiler_gui.bat mit folgendem ersetzen:
@echo off

set PATH=%~dpO\..\3rdparty\gt5\bin; $PATHS
start profiler_gui.exe

Behebt das den Fehler bei dir?

EDIT: hab das Snippet korrigiert - jetzt passt es

#16 - 2019-11-20 09:09 - hidden

@Anja: Falls ihr nicht ins Ticket schauen solltet, im Snippet von #8604#note-15 war ein Typo und wurde mittlerweile korrigiert.

#18 - 2019-11-25 08:37 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Customer set to ELEKTROBIT

- Department set to SUPPORT

#19 - 2019-11-25 08:38 - hidden

- Resolution changed from Product Issue Opened to Workaround Available

#20 - 2019-11-27 08:46 - hidden

Hallo,

Jan hat das ganze endlich bei sich auch ausprobiert. Nach der Neuordnung der Eintrage (also eurer Solution) funktioniert das Starten auch bei ihm.
Es tut mir leid das die Antwort so lange dauerte.

Danke und GriiB3e,

Anja

#21 - 2020-07-07 16:20 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No

#22 - 2020-07-07 16:40 - hidden
- Status changed from To Be Closed to Closed
